> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of sellers

> Get a list of sellers.

Pass a value for the `limit` parameter in your request if you want retrieve a paginated result.
Otherwise API returns a list with all users without pagination.

You can combine parameters for pagination, filtering and ordering. All parameters are independent.



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml get /iam/admin/sellers
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/admin/sellers:
    get:
      tags:
        - Sellers
      summary: Get a list of sellers
      description: >-
        Get a list of sellers.


        Pass a value for the `limit` parameter in your request if you want
        retrieve a paginated result.

        Otherwise API returns a list with all users without pagination.


        You can combine parameters for pagination, filtering and ordering. All
        parameters are independent.
      operationId: iamGetSellers
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
        - $ref: '#/components/parameters/SellersOrdering'
        - $ref: '#/components/parameters/FilterByID'
        - $ref: '#/components/parameters/FilterByIDList'
        - $ref: '#/components/parameters/FilterByIdContains'
        - $ref: '#/components/parameters/FilterByEmailAddress'
        - $ref: '#/components/parameters/FilterByFullName'
        - $ref: '#/components/parameters/FilterByActivated'
        - $ref: '#/components/parameters/FilterByDeleted'
        - $ref: '#/components/parameters/FilterByResellerName'
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSellersResponse'
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: The maximum number of items.
      schema:
        type: integer
    Offset:
      name: offset
      in: query
      description: Offset relative to the beginning of list.
      schema:
        type: integer
    SellersOrdering:
      name: ordering
      in: query
      description: >-
        The parameter using for sorting data.


        Default sort order is ascending. Put `-` before value for descending
        sort order: `-id`.


        - `id` - sort by seller's ID.

        - `email` - sort by seller's email.

        - `full_name` - sort by seller's full name.

        - `date_joined` - sort by seller's registration date.

        - `activated` - sort by activated field.

        - `deleted` - sort by deleted field.


        Use comma separated string for multiple-field sorting.
      schema:
        type: string
        example: activated,-date_joined
    FilterByID:
      name: id
      in: query
      description: Filter by id.
      schema:
        type: number
        example: 1
    FilterByIDList:
      name: id__in
      in: query
      description: |-
        Filter by id list.

        Use comma separated string for multiple values.
      schema:
        type: string
        example: 1,2,3
    FilterByIdContains:
      name: id__contains
      in: query
      description: Filter by part of ID.
      schema:
        type: string
        example: 22
    FilterByEmailAddress:
      name: email
      in: query
      description: Filter byemail address.
      schema:
        type: string
        format: email
    FilterByFullName:
      name: full_name
      in: query
      description: Filter by full name.
      schema:
        type: string
    FilterByActivated:
      name: activated
      in: query
      description: |-
        Filter by status of activation:
        - `true` - activated;
        - `false` - non-activated.
      schema:
        type: boolean
        enum:
          - true
          - false
    FilterByDeleted:
      name: deleted
      in: query
      description: |-
        Filter by status of deletion:
        - `true` — only deleted;
        - `false` — only non-deleted clients;
        - other value — return all.
      schema:
        type: string
        enum:
          - 'true'
          - 'false'
    FilterByResellerName:
      name: reseller_name
      in: query
      description: Filter by reseller's name.
      schema:
        type: string
  schemas:
    GetSellersResponse:
      oneOf:
        - $ref: '#/components/schemas/SellersArray'
        - $ref: '#/components/schemas/SellersPaginatedArray'
    SellersArray:
      allOf:
        - $ref: '#/components/schemas/ItemsArray'
        - items:
            $ref: '#/components/schemas/Seller'
    SellersPaginatedArray:
      allOf:
        - $ref: '#/components/schemas/PaginatedItemsArray'
        - type: object
          properties:
            results:
              type: array
              items:
                $ref: '#/components/schemas/Seller'
    ItemsArray:
      type: array
      description: Simple array without pagination
      items:
        type: object
    Seller:
      type: object
      required:
        - id
        - email
        - full_name
        - reseller_name
        - company
        - date_joined
        - activated
        - deleted
      properties:
        id:
          type: integer
          description: Seller's ID.
          readOnly: true
        email:
          type: string
          description: Seller's email address.
          format: email
          maxLength: 150
        full_name:
          type: string
          description: Seller's full name.
          maxLength: 255
        phone:
          type: string
          description: Seller's phone number.
          maxLength: 30
          pattern: ^[a-z0-9+\-()#, *]*$
        reseller_name:
          type: string
          readOnly: true
          description: Seller's reseller's name.
        company:
          type: string
          readOnly: true
          description: Seller's company.
        date_joined:
          type: string
          readOnly: true
          description: Registration date.
        activated:
          type: boolean
          readOnly: true
          description: >-
            Show the activation status of seller's account:

            - `true` – a seller has clicked on the activation link and has set
            up a password;

            - `false` – a seller hasn't clicked on the activation link.
        deleted:
          type: boolean
          readOnly: true
          description: |-
            Show the deletion status of seller's account:
            - `true` – a seller has been deleted;
            - `false` – a seller is active.
    PaginatedItemsArray:
      type: object
      properties:
        count:
          type: number
          description: Total number of users
        next:
          type: string
          description: URL to the next users slice
          example: /users?offset=20&limit=10
        previous:
          type: string
          description: URL to the previous users slice
          example: /users?offset=10&limit=10
        results:
          type: array
          items:
            type: object
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````